# -*- coding: utf8 -*-
from pyramid.view import view_config

from ringo_bmasreport.reports.durchfuehrungsbericht import (
    filters,
    recipe,
)
from efa.views.frueherkennung import report_targetsystem
from euhu.programs.pwe import validate

from pwe.model.participation import PWEParticipation as Participation
from pwe.model.participant import indicators, derive_indicators


@view_config(route_name='frueherkennung', renderer='frueherkennung.mako')
def create_participation_report(request):
    return report_targetsystem(request, "pwe", Participation, recipe, validate,
                               derive_indicators, indicators, filters)


@view_config(route_name='frueherkennung_fp2', renderer='frueherkennung.mako')
def fruherkennung_fp2_view(request):
    return report_targetsystem(request, "pwe", Participation, recipe, validate,
                               derive_indicators, indicators, filters, fp=2)
